DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MsrCreateFunction

Measurement create function

WARNING: this documentation page is outdated!

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_MsrCreateFunction) ( measurement, featureID, label, intensity, params, data, resources )

## FUNCTION

The `create` function is called to initialise the measurement function. It is meant to allocate and initialise data for the internal use by the measurement function itself.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature function ID
`dip_Image` | `label` | Image with pixel intensities represending object IDs
`dip_Image` | `intensity` | Image containing corresponding intensity values
`void *` | `params` | Measurement function initialisation parameters, not yet implemented
`void **` | `data` | Pointer to a data pointer that should point to allocated data that can be accessed using `MsrObjectData`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

dip_MsrRegistry structure `MeasurementFeatureRegister`, `MsrMeasureFunction`, `MsrValueFunction`, `MsrConvertFunction`, `MsrDescriptionFunction`

DIPlib on-line documentation | Function reference | Global function index